> For the complete documentation index, see [llms.txt](/llms.txt).
> A full single-fetch corpus is available at [llms-full.txt](/llms-full.txt).
---
title: "Compare versions"
description: "Compare two published versions and see what items were added, removed, or changed."
method: "POST"
endpoint: "/api/v1/projects/:projectId/datasets/:id/versions/compare"
order: 6
group: "Versions"
last_verified: 2026-07-27
---

<ApiEndpoint method="POST" endpoint="/api/v1/projects/:projectId/datasets/:id/versions/compare" description="Compare two published versions and see what items were added, removed, or changed.">
  <section>
    #### Body parameters
    <ApiAttribute name="base_version_id" type="string" description="The version to compare from." required={true} />
    <ApiAttribute name="compare_version_id" type="string" description="The version to compare to." required={true} />
  </section>
</ApiEndpoint>
